/**
******************************************************************************************************************************************************************************************
*@file                       interrupt.c
*@author         
*@data                       
*@version                    v1.0
*@par Copyright(c):
*
*@par History:
*     version:author,date,desc
*     v1.0   :create this file
*
*******************************************************************************************************************************************************************************************
*/
#include "cpu.h"
#include "app_config.h"
#include "hw_config.h"
#include "cpu_wdt.h"
#include "app.h"


volatile uint16_t tx_mode_pkt_nb; 
extern void app_nmi_interrupt_handle(void);
#if 0
void LIB_0_IRQHandler(void)
{
	rom_lib->LIB_0_IRQHandler(); 
}
void LIB_1_IRQHandler(void)
{
	rom_lib->LIB_1_IRQHandler();
}
void LIB_2_IRQHandler(void)
{
	rom_lib->LIB_2_IRQHandler();
}
void LIB_3_IRQHandler(void)
{
	rom_lib->LIB_3_IRQHandler();
}
void LIB_4_IRQHandler(void)
{
	rom_lib->LIB_4_IRQHandler();
}
void LIB_5_IRQHandler(void)
{
	rom_lib->LIB_5_IRQHandler();
}
void LIB_6_IRQHandler(void)
{
	rom_lib->LIB_6_IRQHandler();
}
void LIB_7_IRQHandler(void)
{
	rom_lib->LIB_7_IRQHandler();
}

#endif
void NMI_Handler(void)
{
	if(SET == wdt_get_it_status())
	{
        app_nmi_interrupt_handle();
	}
}

//void LIB_8_IRQHandler(void)
//{
//	rom_lib->LIB_8_IRQHandler();
//}
//void LIB_9_IRQHandler(void)
//{
//	rom_lib->LIB_9_IRQHandler();
//}
//void LIB_10_IRQHandler(void)
//{
//	rom_lib->LIB_10_IRQHandler();
//}
//void LIB_11_IRQHandler(void)
//{
//	rom_lib->LIB_11_IRQHandler();
//}
//void LIB_12_IRQHandler(void)
//{
//	rom_lib->LIB_12_IRQHandler();
//}



